---
layout: handbook-page-toc
title: 'Zendesk Review'
category: Zendesk
description: 'Training documentation concerning Zendesk Reviews'
---

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

## What this covers

This training material will cover the following topics:

* A broad overview of what the Zendesk Review is
* What the stages of Zendesk Review are

## What is the Zendesk Review

Zendesk Review (formally Zendesk Realignment) is a _yearly_ process we undergo
to review how Zendesk is setup and ensure it works with the expectations of
those using it. This is a lengthy process, but a vital one for the health and
stability of Zendesk.

## What are the stages of Zendesk Review

For this process, we utilize 10 stages:

* Stage 1: What types of requests do you receive?
* Stage 2: How should end-users reach out
* Stage 3: How should end-users be categorized
* Stage 4: What info should be in tickets
* Stage 5: How do you want tickets grouped
* Stage 6: What types of automations should occur on tickets
* Stage 7: What types of notifications should be sent out
* Stage 8: Formulate routing diagrams
* Stage 9: Generate proposal issues
* Stage 10: Testing and implementation

### Stage 1: What types of requests do you receive?

In this stage, we ask the teams using Zendesk what types of requests they
normally receive. We want as much information here as is possible. The more
details we get here, the better the end result. As such, we should encourage
those participating to be as specific as is possible.

Once we have compiled a large list of data from those participating, we then
categorize the data, have the participants review the categorization, and move
onto step 2.

### Stage 2: How should end-users reach out

In this stage, we need to determine the methods users should be using to reach out to the various teams using Zendesk. We primarily want to focus on if it should be via email or via forms. We want to ensure we catch all the various criteria users might use specific methods of contact.

### Stage 3: How should end-users be categorized

In this stage, we focus on how end-users are categorized. Generally speaking, this would be by organization and by support level in terms of GitLab, but we still want to double-check and confirm this is correct.

### Stage 4: What info should be in tickets

In this stage, we want to focus on what kind of information should be present in a ticket at any given point. This includes both at creation and during the lifespan of the ticket. This is important, as it helps formulate what kind of questions we ask in the forms and what kinds of fields should exist. We also want to focus on what kind of conditional information should be present in the forms.

### Stage 5: How do you want tickets grouped

In this stage, we focus on how tickets should be grouped and the SLAs/SLOs to use.

### Stage 6: What types of automations should occur on tickets

In this stage, we help determine what kind of automated tasks should occur within Zendesk. This is important for determining what kind of triggers and automations will be needed.

### Stage 7: What types of notifications should be sent out

In this stage, we determine what kind of notifications should be sent out. This is important as this touches on both internal and external notifications sent out by Zendesk.

### Stage 8: Formulate routing diagrams

In this stage, we use all previous information obtained to generate a routing diagram. We traditionally use mermaid for this (and the final result in the handbook will use mermaid), but you can use other means if you so desire.

### Stage 9: Generate proposal issues

Here you will generate all the proposal issues relating to this. From there, you
collaborate with the relevant teams to talk through them and gather approval.

### Stage 10: Testing and implementation

Here you will generate implementation issues for all the proposed changes that were approved. You will then test them, confirm the results, and work to
implement them.

## Useful links

* [Zendesk Review workflow](../workflows/zendesk-review.html)
* [Google Sheets - Data Validation](https://support.google.com/docs/answer/186103)
